#### D.13.3.27 applyPermutationToIntvec

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  applyPermutationToIntvec(v,g); v: intvec, g:permutation

Purpose:
  Apply g to the set of entries of v. The result is a sorted intvec. We assume that the entries of v are valid arguments of g. We do not require that the input is sorted.

Return:
  intvec.

Example:

    LIB "gitfan.lib";
    permutation g = permutationFromIntvec(intvec(10, 9, 7, 4, 8, 6, 3, 5, 2, 1));
    applyPermutationToIntvec(intvec(1, 3, 4, 6, 8),g);
    ==> 4,5,6,7,10

User manual for Singular version 4.4.1, 2025, generated by texi2html.